clear all
close all
clc

homeDir = pwd;
ExeDir   = 'C:\Users\Joel\LY_Laptop\Learning_Opensees\SensitivityManual\2013-06-28_SensitivityCheck';
ExcutableTool = 'openSees_Yong.exe';
sourceFileDir = pwd;

exampleNameList = {
    'Example3_Frame2D.tcl'              
    'Example3_Frame2D_FFD.tcl'
};

for i = 1:length(exampleNameList)
    disp(['Yong: Now it is running example: ' exampleNameList{i}])
    sourceFileName = exampleNameList{i};
    % Call OpenSees to Run the job. 
    system([ExeDir filesep ExcutableTool ' ' sourceFileDir filesep sourceFileName]);
    disp(['Yong: Now it is finishing example: ' exampleNameList{i}])
end;


load node.out
a = load('node_sens1.out');
load node1.out
load node2.out
load node3.out
load node4.out

param = 34473.8;
plot(a(:,1)-1,a(:,2))
hold on
plot(node(:,1)-1,(node1(:,2)-node(:,2))/(0.01*param),'b--')
plot(node(:,1)-1,(node2(:,2)-node(:,2))/(0.001*param),'g')
plot(node(:,1)-1,(node3(:,2)-node(:,2))/(0.0001*param),'k')
plot(node(:,1)-1,(node4(:,2)-node(:,2))/(0.00001*param),'r:')

legend('DDM','FFD 0.01','FFD 0.001','FFD 0.0001','FFD 0.00001')
saveas(gcf,'Example3_CheckedByYong','fig')
